# api_call方法：P_chat_to_excel
# Chat-to-Excel 智能表格分析工具

通过大模型（如通义千问）自动解析Excel文本数据，支持智能分析、结果保存与Prompt配置持久化

---

## 📌 核心亮点

### **Prompt配置持久化** 🔄
- **自动保存**：每次通过`info_collect()`设置的prompt/inquiry等参数，将自动保存至本地`prompt_tomb`目录
- **按名称隔离**：通过`name`参数创建不同实例，实现多组独立配置共存（如客服质检/舆情分析等场景）
- **断点续用**：重启程序时自动加载同名实例的历史配置，无需重复输入参数
- **灵活管理**：通过例如`info_collect(param='prompt')`可单独修改特定参数，保留其他配置不变

---

## 🚀 主要功能

### 1. 大模型交互
- 支持Qwen系列模型（默认qwen-plus）
- 多线程并发处理（自动适配CPU核心数）
- 错误自动重试机制（单条数据最大重试2次）

### 2. 数据预处理
- 通话记录结构化解析（JSON→角色/内容）
- 非人工对话内容过滤（如系统提示音）

### 3. 灵活分析模式
- **全量分析**：处理完整数据集
- **抽样调试**：通过`data_sample()`抽取小样本测试Prompt效果
- **单/多字段**：支持单列独立分析或多列联合分析

### 4. 结果输出
- 自动插入分析结果列
- 保留原始数据结构
- 支持xlsx格式导出

---



# 作者: 徐鹏
# 邮箱: xupeng23456@126.com
# 创建日期: 2025年4月24日
